## vulkan-volk 1.2.198

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
cmake_policy(PUSH)
cmake_policy(SET CMP0048 NEW) # project(... VERSION ...) support

project(volk VERSION 
# VOLK_GENERATE_VERSION
198
# VOLK_GENERATE_VERSION
  LANGUAGES C
)

# CMake 3.12 changes the default behaviour of option() to leave local variables
# unchanged if they exist (which we want), but we must work with older CMake versions.
if(NOT DEFINED VOLK_STATIC_DEFINES)
  option(VOLK_STATIC_DEFINES "Additional defines for building the volk static library, e.g. Vulkan platform defines" "")
endif()
if(NOT DEFINED VOLK_PULL_IN_VULKAN)
  option(VOLK_PULL_IN_VULKAN "Vulkan as a transitive dependency" ON)
endif()
if(NOT DEFINED VOLK_INSTALL)
  option(VOLK_INSTALL "Create installation targets" OFF)
endif()

# -----------------------------------------------------
# Static library

add_library(volk STATIC volk.h volk.c)
add_library(volk::volk ALIAS volk)
target_include_directories(volk PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}>
  $<INSTALL_INTERFACE:include>
)
if(VOLK_STATIC_DEFINES)
  target_compile_definitions(volk PUBLIC ${VOLK_STATIC_DEFINES})
endif()
if (NOT WIN32)
  target_link_libraries(volk PUBLIC dl)
endif()

# -----------------------------------------------------
# Interface library

add_library(volk_headers INTERFACE)
add_library(volk::volk_headers ALIAS volk_headers)
target_include_directories(volk_headers INTERFACE
  $<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}>
  $<INSTALL_INTERFACE:include>
)
if (NOT WIN32)
  target_link_libraries(volk_headers INTERFACE dl)
endif()

# -----------------------------------------------------
# Vulkan transitive dependency

if(VOLK_PULL_IN_VULKAN)
  # If CMake has the FindVulkan module and it works, use it.
  # Otherwise try the environment variable.
  find_package(Vulkan QUIET)
  if(TARGET Vulkan::Vulkan)
      message(" Vulkan as target")
    target_link_libraries(volk PUBLIC Vulkan::Vulkan)
    target_link_libraries(volk_headers INTERFACE Vulkan::Vulkan)
  elseif(DEFINED ENV{VULKAN_SDK})
      message(" Vulkan as path")
    target_include_directories(volk PUBLIC "$ENV{VULKAN_SDK}/include")
    target_include_directories(volk_headers INTERFACE "$ENV{VULKAN_SDK}/include")
  endif()
endif()

# -----------------------------------------------------
# Installation

if(VOLK_INSTALL)

  include(GNUInstallDirs)
  set(INSTALL_CONFIGDIR ${CMAKE_INSTALL_LIBDIR}/cmake/volk)

  # Install files
  install(FILES volk.h volk.c DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

  # Install library target and add it and any dependencies to export set.
  install(TARGETS volk volk_headers
    EXPORT volk-targets
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  )

  # Actually write exported config w/ imported targets
  install(EXPORT volk-targets
    FILE volkTargets.cmake
    NAMESPACE volk::
    DESTINATION ${INSTALL_CONFIGDIR}
  )

  # Create a ConfigVersion.cmake file:
  include(CMakePackageConfigHelpers)
  write_basic_package_version_file(
    ${CMAKE_CURRENT_BINARY_DIR}/volkConfigVersion.cmake
    COMPATIBILITY AnyNewerVersion
  )

  # Configure config file
  configure_package_config_file(${CMAKE_CURRENT_LIST_DIR}/cmake/volkConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/volkConfig.cmake
    INSTALL_DESTINATION ${INSTALL_CONFIGDIR}
  )

  # Install the fully generated config and configVersion files
  install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/volkConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/volkConfigVersion.cmake
    DESTINATION ${INSTALL_CONFIGDIR}
  )

endif()
cmake_policy(POP)

=== test/cmake_using_source_directly/CMakeLists.txt ===
# Compiles the volk sources as part of a user project.
# Volk comes with a volk.c for this purpose.
# Note that for volk to properly handle platform defines,
# those have to be set at build time.
# Also note that this way the Vulkan headers must
# handled by the user project as well as linking to dl on
# non-Windows platforms.
# For these reasons it's recommended to use one of
# the other ways to include volk (see the other examples).

cmake_minimum_required(VERSION 3.0)
project(volk_test LANGUAGES C)

add_executable(volk_test main.c ../../volk.c)

# Set include path for volk.h
target_include_directories(volk_test PRIVATE ../..)

# Set suitable platform defines
if(CMAKE_SYSTEM_NAME STREQUAL Windows)
  target_compile_definitions(volk_test PRIVATE VK_USE_PLATFORM_WIN32_KHR)
elseif(CMAKE_SYSTEM_NAME STREQUAL Linux)
  target_compile_definitions(volk_test PRIVATE VK_USE_PLATFORM_XLIB_KHR)
elseif(CMAKE_SYSTEM_NAME STREQUAL Darwin)
  target_compile_definitions(volk_test PRIVATE VK_USE_PLATFORM_MACOS_MVK)
endif()

# Link requires libraries
if(NOT WIN32)
  target_link_libraries(volk_test PRIVATE dl)
endif()

# Get Vulkan dependency
find_package(Vulkan QUIET)
if(TARGET Vulkan::Vulkan)
  target_link_libraries(volk_test PRIVATE Vulkan::Vulkan)
elseif(DEFINED ENV{VULKAN_SDK})
  target_include_directories(volk_test PRIVATE "$ENV{VULKAN_SDK}/include")
endif()

=== test/cmake_using_subdir_headers/CMakeLists.txt ===
# Include the volk target through add_subdirectory.

cmake_minimum_required(VERSION 3.0)
project(volk_test LANGUAGES C)

# Include volk as part of the build tree to make the target known.
# The two-argument version of add_subdirectory allows adding non-subdirs.
add_subdirectory(../.. volk)

add_executable(volk_test main.c)
target_link_libraries(volk_test PRIVATE volk_headers)

=== test/cmake_using_subdir_static/CMakeLists.txt ===
# Include the volk target through add_subdirectory, use the static lib target.
# We must set platform defines.
# By default, Vulkan is pulled in as transitive dependency if found.

cmake_minimum_required(VERSION 3.0)
project(volk_test LANGUAGES C)

# Set a suitable platform define to compile volk with.
if(CMAKE_SYSTEM_NAME STREQUAL Windows)
  set(VOLK_STATIC_DEFINES VK_USE_PLATFORM_WIN32_KHR)
elseif(CMAKE_SYSTEM_NAME STREQUAL Linux)
  set(VOLK_STATIC_DEFINES VK_USE_PLATFORM_XLIB_KHR)
elseif(CMAKE_SYSTEM_NAME STREQUAL Darwin)
  set(VOLK_STATIC_DEFINES VK_USE_PLATFORM_MACOS_MVK)
endif()

# Include volk as part of the build tree to make the target known.
# The two-argument version of add_subdirectory allows adding non-subdirs.
add_subdirectory(../.. volk)

add_executable(volk_test main.c)
target_link_libraries(volk_test PRIVATE volk)

=== debian/changelog ===
vulkan-volk (1.2.198-1) unstable; urgency=medium

  * New upstream release.
  * Bump version of libvulkan-dev to >= 1.2.198.

 -- Dylan Aïssi <daissi@debian.org>  Sun, 16 Jan 2022 14:58:44 +0100

vulkan-volk (1.2.190-2) unstable; urgency=medium

  * Standards-Version: 4.6.0 (no changes needed)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 18 Oct 2021 21:31:29 +0200

vulkan-volk (1.2.190-1) unstable; urgency=medium

  * New upstream release.
  * Move maintenance under the X Strike Force umbrella.
  * Bump version of libvulkan-dev to >= 1.2.189.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 14 Sep 2021 12:07:45 +0200

vulkan-volk (1.2.170-1) unstable; urgency=medium

  * Initial release (Closes: #989601)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 08 Jun 2021 12:37:53 +0200

=== debian/control ===
Source: vulkan-volk
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Dylan Aïssi <daissi@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libvulkan-dev (>= 1.2.198)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk/
Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk.git
Homepage: https://github.com/zeux/volk
Rules-Requires-Root: no

Package: libvulkan-volk-dev
Architecture: all
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libvolk2-dev
# See https://github.com/zeux/volk/issues/66 for name clash
Description: Meta-loader for Vulkan API
 Volk allows you to dynamically load entrypoints required to use Vulkan
 without linking to vulkan-1.dll or statically linking Vulkan loader.
 Additionally, volk simplifies the use of Vulkan extensions by automatically
 loading all associated entrypoints. Finally, volk enables loading Vulkan
 entrypoints directly from the driver which can increase performance by
 skipping loader dispatch overhead.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DVOLK_INSTALL=ON

override_dh_auto_install:
	dh_auto_install
	# Removing files related to the static library until the name clash is resolved
	# https://github.com/zeux/volk/issues/66
	find . -name '*.a' -delete
	find . -name '*.cmake' -delete
	find . -type d -empty -delete

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/volk-$1\.tar\.gz/ \
  https://github.com/zeux/volk/tags .*/v?(\d\S+)\.tar\.gz

## vulkan-volk 1.3.215

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project(volk VERSION 
 # VOLK_GENERATE_VERSION
-198
+215
 # VOLK_GENERATE_VERSION
   LANGUAGES C
 )
@@ -20,21 +20,26 @@
 if(NOT DEFINED VOLK_INSTALL)
   option(VOLK_INSTALL "Create installation targets" OFF)
 endif()
+if(NOT DEFINED VOLK_HEADERS_ONLY)
+  option(VOLK_HEADERS_ONLY "Add interface library only" OFF)
+endif()
 
 # -----------------------------------------------------
 # Static library
 
-add_library(volk STATIC volk.h volk.c)
-add_library(volk::volk ALIAS volk)
-target_include_directories(volk PUBLIC
-  $<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}>
-  $<INSTALL_INTERFACE:include>
-)
-if(VOLK_STATIC_DEFINES)
-  target_compile_definitions(volk PUBLIC ${VOLK_STATIC_DEFINES})
-endif()
-if (NOT WIN32)
-  target_link_libraries(volk PUBLIC dl)
+if(NOT VOLK_HEADERS_ONLY OR VOLK_INSTALL)
+  add_library(volk STATIC volk.h volk.c)
+  add_library(volk::volk ALIAS volk)
+  target_include_directories(volk PUBLIC
+    $<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}>
+    $<INSTALL_INTERFACE:include>
+  )
+  if(VOLK_STATIC_DEFINES)
+    target_compile_definitions(volk PUBLIC ${VOLK_STATIC_DEFINES})
+  endif()
+  if (NOT WIN32)
+    target_link_libraries(volk PUBLIC dl)
+  endif()
 endif()
 
 # -----------------------------------------------------
@@ -58,12 +63,16 @@
   # Otherwise try the environment variable.
   find_package(Vulkan QUIET)
   if(TARGET Vulkan::Vulkan)
-      message(" Vulkan as target")
-    target_link_libraries(volk PUBLIC Vulkan::Vulkan)
+    message(" Vulkan as target")
+    if(TARGET volk)
+      target_link_libraries(volk PUBLIC Vulkan::Vulkan)
+    endif()
     target_link_libraries(volk_headers INTERFACE Vulkan::Vulkan)
   elseif(DEFINED ENV{VULKAN_SDK})
-      message(" Vulkan as path")
-    target_include_directories(volk PUBLIC "$ENV{VULKAN_SDK}/include")
+    message(" Vulkan as path")
+    if(TARGET volk)
+      target_include_directories(volk PUBLIC "$ENV{VULKAN_SDK}/include")
+    endif()
     target_include_directories(volk_headers INTERFACE "$ENV{VULKAN_SDK}/include")
   endif()
 endif()

=== debian/changelog ===
vulkan-volk (1.3.215-1) unstable; urgency=medium

  * New upstream release.
  * Bump version of libvulkan-dev to >= 1.3.215.
  * Standards-Version: 4.6.1 (no changes needed)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 22 Jul 2022 23:32:56 +0200

vulkan-volk (1.3.204-1) unstable; urgency=medium

  * New upstream release.
  * Bump version of libvulkan-dev to >= 1.3.204.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 04 Mar 2022 16:05:16 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libvulkan-dev (>= 1.2.198)
-Standards-Version: 4.6.0
+               libvulkan-dev (>= 1.3.215)
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk/
 Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk.git
 Homepage: https://github.com/zeux/volk

## vulkan-volk 1.3.239.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project(volk VERSION 
 # VOLK_GENERATE_VERSION
-215
+239
 # VOLK_GENERATE_VERSION
   LANGUAGES C
 )
@@ -22,6 +22,9 @@
 endif()
 if(NOT DEFINED VOLK_HEADERS_ONLY)
   option(VOLK_HEADERS_ONLY "Add interface library only" OFF)
+endif()
+if(NOT DEFINED VULKAN_HEADERS_INSTALL_DIR)
+  option(VULKAN_HEADERS_INSTALL_DIR "Where to get the Vulkan headers" "")
 endif()
 
 # -----------------------------------------------------
@@ -60,16 +63,31 @@
 
 if(VOLK_PULL_IN_VULKAN)
   # If CMake has the FindVulkan module and it works, use it.
-  # Otherwise try the environment variable.
   find_package(Vulkan QUIET)
-  if(TARGET Vulkan::Vulkan)
+
+  # Try an explicit CMake variable first, then any Vulkan targets
+  # discovered by FindVulkan.cmake, then the $VULKAN_SDK environment
+  # variable if nothing else works.
+  if(VULKAN_HEADERS_INSTALL_DIR)
+    message(" Vulkan as path")
+    if(TARGET volk)
+      target_include_directories(volk PUBLIC "${VULKAN_HEADERS_INSTALL_DIR}/include")
+    endif()
+    target_include_directories(volk_headers INTERFACE "${VULKAN_HEADERS_INSTALL_DIR}/include")
+  elseif(TARGET Vulkan::Vulkan)
     message(" Vulkan as target")
     if(TARGET volk)
       target_link_libraries(volk PUBLIC Vulkan::Vulkan)
     endif()
     target_link_libraries(volk_headers INTERFACE Vulkan::Vulkan)
+  elseif(TARGET Vulkan::Headers)
+    message(" Vulkan headers as another cmake target")
+    if(TARGET volk)
+      target_link_libraries(volk PUBLIC Vulkan::Headers)
+    endif()
+    target_link_libraries(volk_headers INTERFACE Vulkan::Headers)
   elseif(DEFINED ENV{VULKAN_SDK})
-    message(" Vulkan as path")
+    message(" Vulkan as VULKAN_SDK path")
     if(TARGET volk)
       target_include_directories(volk PUBLIC "$ENV{VULKAN_SDK}/include")
     endif()

=== test/cmake_using_installed_headers/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(volk_test LANGUAGES C)

# Include volk from a CMake package config.
# CMAKE_PREFIX_PATH or volk_DIR must be set properly.
find_package(volk CONFIG REQUIRED)

add_executable(volk_test main.c)
target_link_libraries(volk_test PRIVATE volk::volk_headers)

=== debian/changelog ===
vulkan-volk (1.3.239.0-1) unstable; urgency=medium

  * New upstream version 1.3.239.0
  * Bump version of libvulkan-dev to >= 1.3.239.0

 -- Dylan Aïssi <daissi@debian.org>  Tue, 07 Feb 2023 17:10:46 +0100

vulkan-volk (1.3.236.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump version of libvulkan-dev to >= 1.3.236.0

 -- Dylan Aïssi <daissi@debian.org>  Wed, 18 Jan 2023 09:39:39 +0100

vulkan-volk (1.3.231.1-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * New upstream release.
  * Bump version of libvulkan-dev to >= 1.3.231.1
  * Standards-Version: 4.6.2 (no changes needed)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints. + libvulkan-volk-dev: Add Multi-Arch: foreign.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 04 Jan 2023 17:54:42 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libvulkan-dev (>= 1.3.215)
-Standards-Version: 4.6.1
+               libvulkan-dev (>= 1.3.239.0)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk/
 Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk.git
 Homepage: https://github.com/zeux/volk
@@ -17,8 +17,9 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+# See https://github.com/zeux/volk/issues/66 for name clash
 Conflicts: libvolk2-dev
-# See https://github.com/zeux/volk/issues/66 for name clash
+Multi-Arch: foreign
 Description: Meta-loader for Vulkan API
  Volk allows you to dynamically load entrypoints required to use Vulkan
  without linking to vulkan-1.dll or statically linking Vulkan loader.

=== debian/watch ===
version=4
opts=filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/volk-$1\.tar\.gz/ \
  https://github.com/zeux/volk/tags (?:.*?/)sdk[_-](\d[\d.]*)\.tar\.gz

## vulkan-volk 1.3.250.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project(volk VERSION 
 # VOLK_GENERATE_VERSION
-239
+250
 # VOLK_GENERATE_VERSION
   LANGUAGES C
 )

=== debian/changelog ===
vulkan-volk (1.3.250.1-1) unstable; urgency=medium

  * New upstream version 1.3.250.1
  * Bump version of libvulkan-dev to >= 1.3.250.0
  * Update debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Tue, 25 Jul 2023 16:20:32 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libvulkan-dev (>= 1.3.239.0)
+               libvulkan-dev (>= 1.3.250.0)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk/
 Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk.git

## vulkan-volk 1.3.275.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
 cmake_policy(PUSH)
 cmake_policy(SET CMP0048 NEW) # project(... VERSION ...) support
 
 project(volk VERSION 
 # VOLK_GENERATE_VERSION
-250
+275
 # VOLK_GENERATE_VERSION
   LANGUAGES C
 )
@@ -65,33 +65,25 @@
   # If CMake has the FindVulkan module and it works, use it.
   find_package(Vulkan QUIET)
 
-  # Try an explicit CMake variable first, then any Vulkan targets
+  # Try an explicit CMake variable first, then any Vulkan paths
   # discovered by FindVulkan.cmake, then the $VULKAN_SDK environment
   # variable if nothing else works.
   if(VULKAN_HEADERS_INSTALL_DIR)
-    message(" Vulkan as path")
+    message("volk: using VULKAN_HEADERS_INSTALL_DIR option")
+    set(VOLK_INCLUDES "${VULKAN_HEADERS_INSTALL_DIR}/include")
+  elseif(Vulkan_INCLUDE_DIRS)
+    message("volk: using Vulkan_INCLUDE_DIRS from FindVulkan module")
+    set(VOLK_INCLUDES "${Vulkan_INCLUDE_DIRS}")
+  elseif(DEFINED ENV{VULKAN_SDK})
+    message("volk: using VULKAN_SDK environment variable")
+    set(VOLK_INCLUDES "$ENV{VULKAN_SDK}/include")
+  endif()
+
+  if(VOLK_INCLUDES)
     if(TARGET volk)
-      target_include_directories(volk PUBLIC "${VULKAN_HEADERS_INSTALL_DIR}/include")
+      target_include_directories(volk PUBLIC "${VOLK_INCLUDES}")
     endif()
-    target_include_directories(volk_headers INTERFACE "${VULKAN_HEADERS_INSTALL_DIR}/include")
-  elseif(TARGET Vulkan::Vulkan)
-    message(" Vulkan as target")
-    if(TARGET volk)
-      target_link_libraries(volk PUBLIC Vulkan::Vulkan)
-    endif()
-    target_link_libraries(volk_headers INTERFACE Vulkan::Vulkan)
-  elseif(TARGET Vulkan::Headers)
-    message(" Vulkan headers as another cmake target")
-    if(TARGET volk)
-      target_link_libraries(volk PUBLIC Vulkan::Headers)
-    endif()
-    target_link_libraries(volk_headers INTERFACE Vulkan::Headers)
-  elseif(DEFINED ENV{VULKAN_SDK})
-    message(" Vulkan as VULKAN_SDK path")
-    if(TARGET volk)
-      target_include_directories(volk PUBLIC "$ENV{VULKAN_SDK}/include")
-    endif()
-    target_include_directories(volk_headers INTERFACE "$ENV{VULKAN_SDK}/include")
+    target_include_directories(volk_headers INTERFACE "${VOLK_INCLUDES}")
   endif()
 endif()

=== debian/changelog ===
vulkan-volk (1.3.275.0-1) unstable; urgency=medium

  * New upstream version 1.3.275.0
  * Install library files as they are required to build newer vulkan-tools
  * Switch arch of libvulkan-volk-dev to "any" as it contains now architecture
      dependent files.
  * Drop "Multi-Arch: foreign" for libvulkan-volk-dev
  * Bump version of libvulkan-dev to >= 1.3.275.0

 -- Dylan Aïssi <daissi@debian.org>  Wed, 21 Feb 2024 18:30:14 +0100

vulkan-volk (1.3.268.0-1) unstable; urgency=medium

  * New upstream version 1.3.268.0
  * Update debian/watch with new tag format
  * Bump version of libvulkan-dev to >= 1.3.268.0

 -- Dylan Aïssi <daissi@debian.org>  Fri, 10 Nov 2023 16:04:24 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libvulkan-dev (>= 1.3.250.0)
+               libvulkan-dev (>= 1.3.275.0)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk/
 Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk.git
@@ -13,13 +13,12 @@
 Rules-Requires-Root: no
 
 Package: libvulkan-volk-dev
-Architecture: all
+Architecture: any
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 # See https://github.com/zeux/volk/issues/66 for name clash
 Conflicts: libvolk2-dev
-Multi-Arch: foreign
 Description: Meta-loader for Vulkan API
  Volk allows you to dynamically load entrypoints required to use Vulkan
  without linking to vulkan-1.dll or statically linking Vulkan loader.

## vulkan-volk 1.3.283.0

=== debian/changelog ===
vulkan-volk (1.3.283.0-1) unstable; urgency=medium

  * New upstream version 1.3.283.0
  * Bump version of libvulkan-dev to >= 1.3.283

 -- Dylan Aïssi <daissi@debian.org>  Fri, 31 May 2024 15:16:56 +0200

vulkan-volk (1.3.280.0-1) unstable; urgency=medium

  * New upstream version 1.3.280.0
  * Bump version of libvulkan-dev to >= 1.3.280.0
  * Standards-Version: 4.7.0 (no changes needed)
  * Add "Multi-Arch: same" for libvulkan-volk-dev
  * Update debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Thu, 18 Apr 2024 10:27:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libvulkan-dev (>= 1.3.275.0)
-Standards-Version: 4.6.2
+               libvulkan-dev (>= 1.3.283)
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk/
 Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk.git
 Homepage: https://github.com/zeux/volk
@@ -19,6 +19,7 @@
          ${misc:Depends}
 # See https://github.com/zeux/volk/issues/66 for name clash
 Conflicts: libvolk2-dev
+Multi-Arch: same
 Description: Meta-loader for Vulkan API
  Volk allows you to dynamically load entrypoints required to use Vulkan
  without linking to vulkan-1.dll or statically linking Vulkan loader.

## vulkan-volk 1.3.290.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project(volk VERSION 
 # VOLK_GENERATE_VERSION
-275
+290
 # VOLK_GENERATE_VERSION
   LANGUAGES C
 )
@@ -12,7 +12,7 @@
 # CMake 3.12 changes the default behaviour of option() to leave local variables
 # unchanged if they exist (which we want), but we must work with older CMake versions.
 if(NOT DEFINED VOLK_STATIC_DEFINES)
-  option(VOLK_STATIC_DEFINES "Additional defines for building the volk static library, e.g. Vulkan platform defines" "")
+  set(VOLK_STATIC_DEFINES "" CACHE STRING "Additional defines for building the volk static library, e.g. Vulkan platform defines")
 endif()
 if(NOT DEFINED VOLK_PULL_IN_VULKAN)
   option(VOLK_PULL_IN_VULKAN "Vulkan as a transitive dependency" ON)
@@ -24,7 +24,7 @@
   option(VOLK_HEADERS_ONLY "Add interface library only" OFF)
 endif()
 if(NOT DEFINED VULKAN_HEADERS_INSTALL_DIR)
-  option(VULKAN_HEADERS_INSTALL_DIR "Where to get the Vulkan headers" "")
+  set(VULKAN_HEADERS_INSTALL_DIR "" CACHE PATH "Where to get the Vulkan headers")
 endif()
 
 # -----------------------------------------------------
@@ -41,7 +41,7 @@
     target_compile_definitions(volk PUBLIC ${VOLK_STATIC_DEFINES})
   endif()
   if (NOT WIN32)
-    target_link_libraries(volk PUBLIC dl)
+    target_link_libraries(volk PUBLIC ${CMAKE_DL_LIBS})
   endif()
 endif()
 
@@ -55,7 +55,7 @@
   $<INSTALL_INTERFACE:include>
 )
 if (NOT WIN32)
-  target_link_libraries(volk_headers INTERFACE dl)
+  target_link_libraries(volk_headers INTERFACE ${CMAKE_DL_LIBS})
 endif()
 
 # -----------------------------------------------------

=== debian/changelog ===
vulkan-volk (1.3.290.0-1) unstable; urgency=medium

  * New upstream version 1.3.290.0
  * Bump version of libvulkan-dev to >= 1.3.290

 -- Dylan Aïssi <daissi@debian.org>  Sat, 31 Aug 2024 11:04:17 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libvulkan-dev (>= 1.3.283)
+               libvulkan-dev (>= 1.3.290)
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk/
 Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk.git

## vulkan-volk 1.4.304.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,8 @@
-cmake_minimum_required(VERSION 3.5)
-cmake_policy(PUSH)
-cmake_policy(SET CMP0048 NEW) # project(... VERSION ...) support
+cmake_minimum_required(VERSION 3.5...3.30)
 
 project(volk VERSION 
 # VOLK_GENERATE_VERSION
-290
+304
 # VOLK_GENERATE_VERSION
   LANGUAGES C
 )
@@ -62,21 +60,22 @@
 # Vulkan transitive dependency
 
 if(VOLK_PULL_IN_VULKAN)
-  # If CMake has the FindVulkan module and it works, use it.
-  find_package(Vulkan QUIET)
-
   # Try an explicit CMake variable first, then any Vulkan paths
   # discovered by FindVulkan.cmake, then the $VULKAN_SDK environment
   # variable if nothing else works.
   if(VULKAN_HEADERS_INSTALL_DIR)
     message("volk: using VULKAN_HEADERS_INSTALL_DIR option")
     set(VOLK_INCLUDES "${VULKAN_HEADERS_INSTALL_DIR}/include")
-  elseif(Vulkan_INCLUDE_DIRS)
-    message("volk: using Vulkan_INCLUDE_DIRS from FindVulkan module")
-    set(VOLK_INCLUDES "${Vulkan_INCLUDE_DIRS}")
-  elseif(DEFINED ENV{VULKAN_SDK})
-    message("volk: using VULKAN_SDK environment variable")
-    set(VOLK_INCLUDES "$ENV{VULKAN_SDK}/include")
+  else()
+    # If CMake has the FindVulkan module and it works, use it.
+    find_package(Vulkan QUIET)
+    if(Vulkan_INCLUDE_DIRS)
+      message("volk: using Vulkan_INCLUDE_DIRS from FindVulkan module")
+      set(VOLK_INCLUDES "${Vulkan_INCLUDE_DIRS}")
+    elseif(DEFINED ENV{VULKAN_SDK})
+      message("volk: using VULKAN_SDK environment variable")
+      set(VOLK_INCLUDES "$ENV{VULKAN_SDK}/include")
+    endif()
   endif()
 
   if(VOLK_INCLUDES)
@@ -134,4 +133,3 @@
   )
 
 endif()
-cmake_policy(POP)

=== test/cmake_using_subdir_headers/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Include the volk target through add_subdirectory.
 
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
 project(volk_test LANGUAGES C)
 
 # Include volk as part of the build tree to make the target known.

=== debian/changelog ===
vulkan-volk (1.4.304.0-1) unstable; urgency=medium

  * New upstream version 1.4.304.0 (Closes: #1093844)
  * Bump version of libvulkan-dev to >= 1.4.304

 -- Dylan Aïssi <daissi@debian.org>  Thu, 23 Jan 2025 15:07:00 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libvulkan-dev (>= 1.3.290)
+               libvulkan-dev (>= 1.4.304)
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk/
 Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk.git

## vulkan-volk 1.4.321.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(volk VERSION 
 # VOLK_GENERATE_VERSION
-304
+321
 # VOLK_GENERATE_VERSION
   LANGUAGES C
 )

=== test/cmake_using_source_directly/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # For these reasons it's recommended to use one of
 # the other ways to include volk (see the other examples).
 
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
 project(volk_test LANGUAGES C)
 
 add_executable(volk_test main.c ../../volk.c)
@@ -33,7 +33,8 @@
 # Get Vulkan dependency
 find_package(Vulkan QUIET)
 if(TARGET Vulkan::Vulkan)
-  target_link_libraries(volk_test PRIVATE Vulkan::Vulkan)
+  # Note: We don't use target_link_libraries for Vulkan::Vulkan to avoid a static dependency on libvulkan1
+  target_include_directories(volk_test PRIVATE ${Vulkan_INCLUDE_DIRS})
 elseif(DEFINED ENV{VULKAN_SDK})
   target_include_directories(volk_test PRIVATE "$ENV{VULKAN_SDK}/include")
 endif()

=== test/cmake_using_subdir_static/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # We must set platform defines.
 # By default, Vulkan is pulled in as transitive dependency if found.
 
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
 project(volk_test LANGUAGES C)
 
 # Set a suitable platform define to compile volk with.

=== debian/changelog ===
vulkan-volk (1.4.321.0-1) unstable; urgency=medium

  * New upstream version 1.4.321.0
  * Bump version of libvulkan-dev to >= 1.4.321
  * Standards-Version: 4.7.2 (no changes needed)
  * Update debian/copyright
  * Add debian/salsa-ci.yml

 -- Dylan Aïssi <daissi@debian.org>  Wed, 13 Aug 2025 07:15:55 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libvulkan-dev (>= 1.4.304)
-Standards-Version: 4.7.0
+               libvulkan-dev (>= 1.4.321)
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk/
 Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk.git
 Homepage: https://github.com/zeux/volk

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DVOLK_INSTALL=ON

=== debian/watch ===
version=4
opts=filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/volk-$1\.tar\.gz/ \
  https://github.com/zeux/volk/tags (?:.*?/)vulkan-sdk[_-](\d[\d.]*)\.tar\.gz

## vulkan-volk 1.4.328.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.5...3.30)
 
-project(volk VERSION 
+project(volk VERSION
 # VOLK_GENERATE_VERSION
-321
+328
 # VOLK_GENERATE_VERSION
   LANGUAGES C
 )
@@ -17,6 +17,9 @@
 endif()
 if(NOT DEFINED VOLK_INSTALL)
   option(VOLK_INSTALL "Create installation targets" OFF)
+endif()
+if(NOT DEFINED VOLK_NAMESPACE)
+  option(VOLK_NAMESPACE "Use C++ namespace for vk* functions" OFF)
 endif()
 if(NOT DEFINED VOLK_HEADERS_ONLY)
   option(VOLK_HEADERS_ONLY "Add interface library only" OFF)
@@ -35,6 +38,10 @@
     $<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}>
     $<INSTALL_INTERFACE:include>
   )
+  if(VOLK_NAMESPACE)
+    target_compile_definitions(volk PUBLIC VOLK_NAMESPACE)
+    set_source_files_properties(volk.c PROPERTIES LANGUAGE CXX)
+  endif()
   if(VOLK_STATIC_DEFINES)
     target_compile_definitions(volk PUBLIC ${VOLK_STATIC_DEFINES})
   endif()

=== test/cmake_cpp_namespace/CMakeLists.txt ===
# Include the volk target through add_subdirectory, use the static lib target.
# We must set platform defines.
# By default, Vulkan is pulled in as transitive dependency if found.
# Also use C++ namespace feature to make it so that volk doesn't override vk* symbols

cmake_minimum_required(VERSION 3.5...3.30)
project(volk_test LANGUAGES CXX)

# Set a suitable platform define to compile volk with.
if(CMAKE_SYSTEM_NAME STREQUAL Windows)
  set(VOLK_STATIC_DEFINES VK_USE_PLATFORM_WIN32_KHR)
elseif(CMAKE_SYSTEM_NAME STREQUAL Linux)
  set(VOLK_STATIC_DEFINES VK_USE_PLATFORM_XLIB_KHR)
elseif(CMAKE_SYSTEM_NAME STREQUAL Darwin)
  set(VOLK_STATIC_DEFINES VK_USE_PLATFORM_MACOS_MVK)
endif()

# Enable volk C++ namespace feature; this only works when volk is compiled and used from C++
set(VOLK_NAMESPACE ON)

# Include volk as part of the build tree to make the target known.
# The two-argument version of add_subdirectory allows adding non-subdirs.
add_subdirectory(../.. volk)

add_executable(volk_test main.cpp)
target_link_libraries(volk_test PRIVATE volk)

=== test/cmake_using_source_directly/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # For these reasons it's recommended to use one of
 # the other ways to include volk (see the other examples).
 
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.5...3.30)
 project(volk_test LANGUAGES C)
 
 add_executable(volk_test main.c ../../volk.c)

=== test/cmake_using_subdir_headers/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Include the volk target through add_subdirectory.
 
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.5...3.30)
 project(volk_test LANGUAGES C)
 
 # Include volk as part of the build tree to make the target known.

=== test/cmake_using_subdir_static/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # We must set platform defines.
 # By default, Vulkan is pulled in as transitive dependency if found.
 
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.5...3.30)
 project(volk_test LANGUAGES C)
 
 # Set a suitable platform define to compile volk with.

=== debian/changelog ===
vulkan-volk (1.4.328.1-1) unstable; urgency=medium

  * New upstream version 1.4.328.1
  * Bump version of libvulkan-dev to >= 1.4.328.1
  * Remove redundant "Rules-Requires-Root: no"
  * Convert debian/watch to version 5

 -- Dylan Aïssi <daissi@debian.org>  Mon, 03 Nov 2025 16:58:04 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,11 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libvulkan-dev (>= 1.4.321)
+               libvulkan-dev (>= 1.4.328.1)
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk/
 Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk.git
 Homepage: https://github.com/zeux/volk
-Rules-Requires-Root: no
 
 Package: libvulkan-volk-dev
 Architecture: any

=== debian/watch ===
Version: 5

Template: Github
Owner: zeux
Project: volk

## vulkan-volk 1.4.335.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(volk VERSION
 # VOLK_GENERATE_VERSION
-328
+335
 # VOLK_GENERATE_VERSION
   LANGUAGES C
 )
@@ -82,6 +82,9 @@
     elseif(DEFINED ENV{VULKAN_SDK})
       message("volk: using VULKAN_SDK environment variable")
       set(VOLK_INCLUDES "$ENV{VULKAN_SDK}/include")
+    elseif(TARGET Vulkan-Headers)
+      message("volk: using Vulkan-Headers include directories")
+      get_target_property(VOLK_INCLUDES Vulkan-Headers INTERFACE_INCLUDE_DIRECTORIES)
     endif()
   endif()

=== debian/changelog ===
vulkan-volk (1.4.335.0-1) unstable; urgency=medium

  * New upstream version 1.4.335.0
  * Bump version of libvulkan-dev to >= 1.4.335

 -- Dylan Aïssi <daissi@debian.org>  Sat, 20 Dec 2025 17:13:02 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libvulkan-dev (>= 1.4.328.1)
+               libvulkan-dev (>= 1.4.335)
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk/
 Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk.git
